Bug 1243251 - Project search does not sort correctly by date over multiple pages
Project search does not sort correctly by date over multiple pages
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
3.7
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.8
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-15 01:07 EDT by Damian Jansen
Modified: 2016-01-20 20:40 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.8.0-SNAPSHOT
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 20:40:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2015-07-15 01:07:20 EDT
Description of problem:
If the user enters a search term that results in multiple pages, sorting works correctly on the first page but not and consecutive pages

Version-Release number of selected component (if applicable):
3.7

How reproducible:
Easy always

Steps to Reproduce:
1. Enter "a" into the person/project search bar
2. Select Show results for
3. In the projects tab, press Sort, Creation Date
4. Press > to proceed to page 2

Actual results:
Dates are not in correct order

Expected results:
Page 2 should be in correct order

Additional info:
Comment 1 Alex Eng 2015-07-15 18:54:13 EDT
Pull request:
https://github.com/zanata/zanata-server/pull/913
Comment 2 Damian Jansen 2015-07-16 20:47:06 EDT
Verified at c089c4e34743c67fe551b985e4005f5e61924e5f

Note You need to log in before you can comment on or make changes to this bug.